//! fileName : userDataEditor.js
//! desc : 三维球中用户数据的编辑
//! deps : jquery.js util.js
//! authors : YanZhipeng
//! time : 2014-09-02 14:02
//! version : 0.0.1
//! updateLog : 
(function(ns) {
    /************************************
        Constants
    ************************************/
    var SeUserDataEditor = {},
        VERSION = '0.0.1',
        earth,
        globalScope = typeof ns != 'undefined' ? ns : window,
        debugMode = typeof ns.debugMode != 'undefined' ? ns.debugMode : false;

    SeUserDataEditor = function(options) {
        this.initialize.apply(this, arguments);
    };

    $.extend(SeUserDataEditor.prototype, {
        initialize: function(options) {
            if (typeof options == 'undefined' || options == null) {
                if (globalScope.debugMode == true) {
                    console.error('err3005, 位置: STAMP.SeLayerManager.initialize. 初始化参数强制需要，请参阅API文档');
                }
                return;
            }
            if (typeof options.earth == 'undefined' || options.earth == null) {
                if (globalScope.debugMode == true) {
                    console.error('err3005, 位置: STAMP.SeLayerManager.initialize. 参数中"earth"属性不能为空');
                    return;
                }
            }
            earth = options.earth;
        }
    });

    if (typeof globalScope == 'undefined') {
        globalScope = window;
    }
    if (typeof globalScope.STAMP == 'undefined') {
        globalScope.STAMP = {};
    }
    globalScope.STAMP.SeUserDataEditor = SeUserDataEditor;

    //check for CommonJS
    if (typeof module !== 'undefined' && module.exports) {
        module.exports = SeUserDataEditor;
    } else if (typeof define === 'function' && define.amd) {
        define([], function() {
            return SeUserDataEditor;
        });
    } else {
        globalScope.STAMP.SeUserDataEditor = SeUserDataEditor;
    }

}).call(this, window);
